You are probably using an older cvs version of Jetspeed 2 and/or Tomcat 5. Tomcat 5 version 5.0.28 has a solution for the below described problem and Jetspeed 2 now requires at least this version or higher.

See for requirements and proper configuration of Jetspeed 2: http://portals.apache.org/jetspeed-2/getting-started.html.

This is cut directly from Jira issue JS2-55:

" As discussed on the Jetspeed developers mailinglist (thread starts with: http://nagoya.apache.org/eyebrowse/ReadMsg?listName=jetspeed-dev@jakarta.apache.org&msgNo=14605) the new behaviour of Tomcat 5 to set the ContextClassLoader in the JAASRealm to the server classloader prevents defining LoginModules within the context of an web app.

As a quick solution to this problem the Tomcat 5 JAASRealm is going to be patched to revert back to the old Tomcat 4 handling.

The preferred solution is that the Tomcat Team would do this themselves or provide it as an option. Someone should start discussing this with them....

I'll provide a patch implementing the quick fix which will depend on the user property catalina.version.major=5 to be enforced upon the catalina server: when this condition is true a patched version of the Tomcat 5.0.24 JAASRealm.java revision 1.6 will be compiled into the $Tomcat/server/classes directory."

Jetspeed2/Tomcat5JassIssues (last edited 2009-09-20 23:46:30 by localhost)